summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author Brian Cox <hamslackbuild@comcast.net>2024-06-08 12:04:12 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-06-08 12:14:38 +0700
commit8cb18e4be30966be19943d3a00d1943261d69fe5 (patch)
treecf7a4b253d61a9a609f133b41ed166d6ad0dae81 /ham
parent54f0df6951ac9a1cab0b6e39061d0a9bdae0e131 (diff)
downloadslackbuilds-8cb18e4be30966be19943d3a00d1943261d69fe5.tar.gz
slackbuilds-8cb18e4be30966be19943d3a00d1943261d69fe5.tar.xz
ham/antscope2: Added (Antenna Analyzer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/antscope2/README8
-rw-r--r--ham/antscope2/antscope2.SlackBuild110
-rw-r--r--ham/antscope2/antscope2.desktop8
-rw-r--r--ham/antscope2/antscope2.info10
-rw-r--r--ham/antscope2/doinst.sh18
-rw-r--r--ham/antscope2/douninst.sh15
-rw-r--r--ham/antscope2/slack-desc19
7 files changed, 188 insertions, 0 deletions
diff --git a/ham/antscope2/README b/ham/antscope2/README
new file mode 100644
index 0000000000..74e5915def
--- /dev/null
+++ b/ham/antscope2/README
@@ -0,0 +1,8 @@
+AntScope2 RigExpert antenna analyzers
+
+The AntScope2 software is designed to support various models of
+RigExpert antenna analyzers.
+-See the characteristics of your antenna in more detail
+-Share measurement results
+
+Make sure the user account is a member of the dialout group!
diff --git a/ham/antscope2/antscope2.SlackBuild b/ham/antscope2/antscope2.SlackBuild
new file mode 100644
index 0000000000..d6ec144673
--- /dev/null
+++ b/ham/antscope2/antscope2.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+# Slackbuild for antscope2
+# Brian Cox <hamslackbuild@comcast.net>
+
+# Copyright 2024
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+SRCNAM=AntScope2
+PRGNAM=antscope2
+VERSION=${VERSION:-1.2.6}
+COMMIT=19323af9b8157dff4c260f516d8bda4b05e6a8a9
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$COMMIT
+tar -xvf $CWD/$SRCNAM-$COMMIT.tar.gz
+cd $SRCNAM-$COMMIT
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake PREFIX="$PKG/usr" AntScope.pro
+make
+
+mkdir -p $PKG/usr/share/pixmaps
+install -m 644 AntScope2.ico $PKG/usr/share/pixmaps/
+mkdir -p $PKG/usr/share/applications
+install -m 644 $CWD/antscope2.desktop $PKG/usr/share/applications
+mkdir -p $PKG/usr/bin
+cd ./build/release
+install -m 755 $SRCNAM $PKG/usr/bin/$SRCNAM
+cd ../../
+mkdir -p $PKG/usr/share/$PRGNAM
+install -m 644 QtLanguage.qm $PKG/usr/share/$PRGNAM
+install -m 644 QtLanguage.ts $PKG/usr/share/$PRGNAM
+install -m 644 QtLanguage_ja.qm $PKG/usr/share/$PRGNAM
+install -m 644 QtLanguage_ja.ts $PKG/usr/share/$PRGNAM
+install -m 644 QtLanguage_ru.qm $PKG/usr/share/$PRGNAM
+install -m 644 QtLanguage_ru.ts $PKG/usr/share/$PRGNAM
+install -m 644 QtLanguage_uk.qm $PKG/usr/share/$PRGNAM
+install -m 644 QtLanguage_uk.ts $PKG/usr/share/$PRGNAM
+install -m 644 cables.txt $PKG/usr/share/$PRGNAM
+install -m 644 itu-regions.txt $PKG/usr/share/$PRGNAM
+install -m 644 itu-regions-defaults.txt $PKG/usr/share/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/douninst.sh > $PKG/install/douninst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/ham/antscope2/antscope2.desktop b/ham/antscope2/antscope2.desktop
new file mode 100644
index 0000000000..8d8f10c801
--- /dev/null
+++ b/ham/antscope2/antscope2.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=AntScope2
+Comment=RigExpert AntScope2 Antenna Analyzer
+Exec=AntScope2
+Icon=/usr/share/pixmaps/AntScope2.ico
+StartupNotify=true
+Type=Application
+Categories=HamRadio;
diff --git a/ham/antscope2/antscope2.info b/ham/antscope2/antscope2.info
new file mode 100644
index 0000000000..d405ecaa40
--- /dev/null
+++ b/ham/antscope2/antscope2.info
@@ -0,0 +1,10 @@
+PRGNAM="antscope2"
+VERSION="1.2.6"
+HOMEPAGE="https://rigexpert.com/products/software/antscope2/"
+DOWNLOAD="https://github.com/rigexpert/AntScope2/archive/19323af/AntScope2-19323af9b8157dff4c260f516d8bda4b05e6a8a9.tar.gz"
+MD5SUM="f2b9188a291c7189c4ebbd92460d1c94"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Brian Cox"
+EMAIL="hamslackbuild@comcast.net"
diff --git a/ham/antscope2/doinst.sh b/ham/antscope2/doinst.sh
new file mode 100644
index 0000000000..f499be24af
--- /dev/null
+++ b/ham/antscope2/doinst.sh
@@ -0,0 +1,18 @@
+if [ ! -d /usr/bin/Resources ]; then
+ mkdir -p /usr/bin/Resources
+ ln -sf /usr/share/antscope2/QtLanguage.qm /usr/bin/Resources/
+ ln -sf /usr/share/antscope2/QtLanguage.ts /usr/bin/Resources/
+ ln -sf /usr/share/antscope2/QtLanguage_ja.qm /usr/bin/Resources/
+ ln -sf /usr/share/antscope2/QtLanguage_ja.ts /usr/bin/Resources/
+ ln -sf /usr/share/antscope2/QtLanguage_ru.qm /usr/bin/Resources/
+ ln -sf /usr/share/antscope2/QtLanguage_ru.ts /usr/bin/Resources/
+ ln -sf /usr/share/antscope2/QtLanguage_uk.qm /usr/bin/Resources/
+ ln -sf /usr/share/antscope2/QtLanguage_uk.ts /usr/bin/Resources/
+ ln -sf /usr/share/antscope2/cables.txt /usr/bin/Resources/
+ ln -sf /usr/share/antscope2/itu-regions-defaults.txt /usr/bin/Resources/
+ ln -sf /usr/share/antscope2/itu-regions.txt /usr/bin/Resources/
+fi
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/ham/antscope2/douninst.sh b/ham/antscope2/douninst.sh
new file mode 100644
index 0000000000..8293ba830e
--- /dev/null
+++ b/ham/antscope2/douninst.sh
@@ -0,0 +1,15 @@
+# Remove data generated by doinst.sh
+if [ -d /usr/bin/Resources ]; then
+ rm /usr/bin/Resources/QtLanguage.qm
+ rm /usr/bin/Resources/QtLanguage.ts
+ rm /usr/bin/Resources/QtLanguage_ja.qm
+ rm /usr/bin/Resources/QtLanguage_ja.ts
+ rm /usr/bin/Resources/QtLanguage_ru.qm
+ rm /usr/bin/Resources/QtLanguage_ru.ts
+ rm /usr/bin/Resources/QtLanguage_uk.qm
+ rm /usr/bin/Resources/QtLanguage_uk.ts
+ rm /usr/bin/Resources/cables.txt
+ rm /usr/bin/Resources/itu-regions-defaults.txt
+ rm /usr/bin/Resources/itu-regions.txt
+ rmdir /usr/bin/Resources
+fi
diff --git a/ham/antscope2/slack-desc b/ham/antscope2/slack-desc
new file mode 100644
index 0000000000..347b3ba5bb
--- /dev/null
+++ b/ham/antscope2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+antscope2: antscope2 (RigExpert antenna analyzers)
+antscope2:
+antscope2: The AntScope2 software is designed to support various models of
+antscope2: RigExpert antenna analyzers.
+antscope2: -See the characteristics of your antenna in more detail
+antscope2: -Share measurement results
+antscope2:
+antscope2: Homepage: https://rigexpert.com/products/software/antscope2/
+antscope2:
+antscope2:
+antscope2: